Haz compatible AutoCopy 0.8 con todos los Firefox versión 3

NOTA DEL 11/2014: En la actualidad ya no utilizo esta extensión. Si utiliza una versión actual, por favor, lea la parte final de este texto. Parece ser que contenía un Spyware, que yo no tenía ni idea de su existencia entonces, quizás lo pusieron en la última versión que actualizaron. El proceso puede serviros para hacer compatibles otras extensiones, aunque es posible que haya cambiado desde la versión comentada de Firefox y extensiones utilizadas.

Inclusive la versión 3.0.2 que acaba de salir y posteriores.

  • Cójase un descompresor que permita acceder a los archivos XPI (tipo de compresión 7z), por ejemplo, en Windows y Linux el 7-Zip. En Mac el Archiver.
  • Cargue el fichero del complemento AutoCopy 0.8 que se descargó de la sección de complementos de Mozilla Firefox, en su programa descompresor.
  • Saque el archivo install.rdf (arrástrese el archivo), por ejemplo al escritorio.
  • Edite este archivo en su programa favorito de textos. Por ejemplo el Bloc de notas en Windows, el TextEdit en Mac, Editor de Textos en Linux, etc.
  • Búsque la cadena: em:maxVersion
  • Dentro encontrará 3.0b5, cámbielo a 3.0+
  • Grabe el fichero.
  • Arrástrelo del escritorio a la ventana donde tiene el compresor con el fichero y sobreescribalo.
  • Salga del compresor, cerrándolo.
  • Si tiene la extensión AutoCopy 0.8 dentro de su navegador, aunque desactivada, desinstalela primero y reinicie el navegador (cierrelo y vuélvalo a abrir).
  • Instale el complemento en su navegador Firefox. Con el navegador abierto, elija la opción del menú de Archivo / Abrir Archivo, elija el fichero que hemos modificado, y dele a aceptar, en el cuadro de dialogo posterior que le saldrá, pulse sobre Instalar Ahora.
  • Reinicie de nuevo el navegador, y voilà. Ya tiene su complemento favorito para «vagos» copiadora y pegadora de textos. :mrgreen:

Nota adicionales

Podemos hacerla compatible también con el 3.1 si estamos usando la versión de prueba que salió. Incluso con todas las versiones 3 posteriores a esa. Solo debemos cambiar el 3.0+ por 3.1+, ó 3+. Aunque es posible que en el futuro no se pueda hacer esto con el complemento, a veces podemos forzar así el funcionamiento y no pasa nada, pero a medida que cambia mucho la estructura de funcionamiento de un programa, estos apaños dejan de funcionar.

También este truco podría servir para forzar el funcionamiento de otros complementos que utilicemos en nuestra versión de navegador Firefox, aunque esto no se garantiza.

2 comentarios

  1. Señor Don Ignacio, tendría usted que hacer posible la «versión para imprimir», de sus artículos :roll:. Piense en la dificultad de seguir tantos pasos….o lo copias a mano 😕 o vas cambiando de página, vuelta a cambiar, pá no perderte 😳

  2. Yo tengo la extensión «AutoCopy», solo tengo que marcar el texto y pegarlo en un blog de notas. :mrgreen:

    Claro que comprendo que otros no puedan tener esa extensión, o aun estén usando «otro tipo de navegadores». Así que para complacerlos ya hay opción de imprimir

ATENCIÓN: Puedes opinar sin meter Correo electrónico o Web.


Deja un comentario

Tu dirección de correo electrónico no será publicada.

*

code

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.